Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class ConnectionInfo

    java.lang.Object
      com.tibco.tibjms.admin.ConnectionInfo

    public class ConnectionInfo

extends java.lang.Object

A ConnectionInfo object represents a client connection to the TIBCO EMS server. ConnectionInfo objects are obtained through calls to TibjmsAdmin.getConnections().

Field Summary
`static java.lang.String` | `CLIENT_TYPE_C` Type indicating the client is a C application.
`static java.lang.String` | `CLIENT_TYPE_CSHARP` Type indicating the client is a C# application.
`static java.lang.String` | `CLIENT_TYPE_JAVA` Type indicating the client is a Java application.
`static java.lang.String` | `CLIENT_TYPE_UNKNOWN` Type indicating the client is of unkown type.
`static java.lang.String` | `CONNECTION_TYPE_FT` Type indicating the connection is a fault tolerant connection to another server.
`static java.lang.String` | `CONNECTION_TYPE_GENERIC` Type indicating a generic client connection.
`static java.lang.String` | `CONNECTION_TYPE_QUEUE` Type indicating the connection is a queue connection.
`static java.lang.String` | `CONNECTION_TYPE_ROUTE` Type indicating the connection is a route connection to another server.
`static java.lang.String` | `CONNECTION_TYPE_TOPIC` Type indicating the connection is a topic connection.
`static byte` | `SSL_TYPE_NONE` Type indicating that the connection is not an SSL connection.
`static byte` | `SSL_TYPE_SSL` Type indicating that the connection is an SSL connection.
`static byte` | `SSL_TYPE_TCP` Type indicating that the client uses SSL but connects by way of an external SSL accelerator to one of the server's TCP ports.

Method Summary
`java.lang.String` | `getAddress()` Get the IP address for this connection.
`java.lang.String` | `getClientID()` Get the clientID for this connection.
`java.lang.String` | `getClientType()` Get the language that the application was written in.
`int` | `getConsumerCount()` Get the number of consumers for this connection.
`java.lang.String` | `getHost()` Get the host for this connection.
`long` | `getID()` Get the connection ID for this connection.
`int` | `getProducerCount()` Get the number of producers for this connection.
`int` | `getSessionCount()` Get the number of sessions for this connection.
`byte` | `getSSLType()` Get the type of SSL connection used, if any.
`long` | `getStartTime()` Get the creation time, in milliseconds, for this connection.
`java.lang.String` | `getType()` Get the connection type for this connection.
`int` | `getUncommittedCount()` Get the number of uncommitted messages that are pending for this connection.
`long` | `getUncommittedSize()` Get the size of all uncommitted messages that are pending for this connection.
`long` | `getUpTime()` Get the time in milliseconds that this connection has been connected.
`java.lang.String` | `getURL()` Get the URL for this connection.
`java.lang.String` | `getUserName()` Get the username for this connection.
`VersionInfo` | `getVersionInfo()` Get the version of the software being run by the client that created this connection.
`boolean` | `isAdmin()` Indicates whether or not the connection is a connection from an administration client, either tibjmsadmin or a client using this administration api.
`boolean` | `isFT()` Indicates whether or not the connection is an FT connection, that is the connection has alternative URLs.
`boolean` | `isStarted()` Indicates whether or not the connection as been started by the client.
`boolean` | `isXA()` Indicates whether or not the connection is an XA connection.
`java.lang.String` | `toString()` Generate a string representation of this ConnectionInfo.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONNECTION_TYPE_QUEUE

    public static final java.lang.String CONNECTION_TYPE_QUEUE

  Type indicating the connection is a queue connection.

  See Also:
    Constant Field Values

### CONNECTION_TYPE_TOPIC

    public static final java.lang.String CONNECTION_TYPE_TOPIC

  Type indicating the connection is a topic connection.

  See Also:
    Constant Field Values

### CONNECTION_TYPE_ROUTE

    public static final java.lang.String CONNECTION_TYPE_ROUTE

  Type indicating the connection is a route connection to another server.

  See Also:
    Constant Field Values

### CONNECTION_TYPE_FT

    public static final java.lang.String CONNECTION_TYPE_FT

  Type indicating the connection is a fault tolerant connection to another server.

  See Also:
    Constant Field Values

### CONNECTION_TYPE_GENERIC

    public static final java.lang.String CONNECTION_TYPE_GENERIC

  Type indicating a generic client connection.

  See Also:
    Constant Field Values

### CLIENT_TYPE_C

    public static final java.lang.String CLIENT_TYPE_C

  Type indicating the client is a C application.

  See Also:
    Constant Field Values

### CLIENT_TYPE_JAVA

    public static final java.lang.String CLIENT_TYPE_JAVA

  Type indicating the client is a Java application.

  See Also:
    Constant Field Values

### CLIENT_TYPE_CSHARP

    public static final java.lang.String CLIENT_TYPE_CSHARP

  Type indicating the client is a C# application.

  See Also:
    Constant Field Values

### CLIENT_TYPE_UNKNOWN

    public static final java.lang.String CLIENT_TYPE_UNKNOWN

  Type indicating the client is of unkown type.

  See Also:
    Constant Field Values

### SSL_TYPE_NONE

    public static final byte SSL_TYPE_NONE

  Type indicating that the connection is not an SSL connection.

  See Also:
    Constant Field Values

### SSL_TYPE_SSL

    public static final byte SSL_TYPE_SSL

  Type indicating that the connection is an SSL connection.

  See Also:
    Constant Field Values

### SSL_TYPE_TCP

    public static final byte SSL_TYPE_TCP

  Type indicating that the client uses SSL but connects by way of an external SSL accelerator to one of the server's TCP ports.

  See Also:
    Constant Field Values

Method Detail

### getID

    public long getID()

  Get the connection ID for this connection.

  Returns:
    the connection ID for this connection.

### getType

    public java.lang.String getType()

  Get the connection type for this connection.

  Returns:
    the connection type for this connection. Will be one of the following: `CONNECTION_TYPE_QUEUE`, `CONNECTION_TYPE_TOPIC`, `CONNECTION_TYPE_ROUTE`, `CONNECTION_TYPE_FT`, `CONNECTION_TYPE_GENERIC`.

### getHost

    public java.lang.String getHost()

  Get the host for this connection.

  Returns:
    the hostname for this connection.

### getAddress

    public java.lang.String getAddress()

  Get the IP address for this connection.

  Returns:
    the IP address for this connection.

### getClientID

    public java.lang.String getClientID()

  Get the clientID for this connection.

  Returns:
    the clientID for this connection (can be null).

### getUserName

    public java.lang.String getUserName()

  Get the username for this connection.

  Returns:
    the username for this connection.

### getSessionCount

    public int getSessionCount()

  Get the number of sessions for this connection.

  Returns:
    the number of sessions for this connection.

### getConsumerCount

    public int getConsumerCount()

  Get the number of consumers for this connection.

  Returns:
    the number of consumers for this connection.

### getProducerCount

    public int getProducerCount()

  Get the number of producers for this connection.

  Returns:
    the number of producers for this connection.

### getURL

    public java.lang.String getURL()

  Get the URL for this connection.

  Returns:
    the URL for this connection.

### getStartTime

    public long getStartTime()

  Get the creation time, in milliseconds, for this connection.

  Returns:
    the creation time, in milliseconds, for this connection.

### getUpTime

    public long getUpTime()

  Get the time in milliseconds that this connection has been connected.

  Returns:
    the time in milliseconds that this connection has been connected.

### getVersionInfo

    public VersionInfo getVersionInfo()

  Get the version of the software being run by the client that created this connection.

  Returns:
    the VersionInfo object representing the version of the software being run by the client or null if the version information was not provided by the server.

### getUncommittedCount

    public int getUncommittedCount()

  Get the number of uncommitted messages that are pending for this connection.

  Returns:
    the number of uncommitted messages
  Since:
    EMS 5.0

### getUncommittedSize

    public long getUncommittedSize()

  Get the size of all uncommitted messages that are pending for this connection.

  Returns:
    the size of all uncommitted messages
  Since:
    EMS 5.0

### getClientType

    public java.lang.String getClientType()

  Get the language that the application was written in.

  Returns:
    the client type. Will be one of the following: `CLIENT_TYPE_C`, `CLIENT_TYPE_JAVA`, `CLIENT_TYPE_CSHARP` or `CLIENT_TYPE_UNKNOWN`.

### isXA

    public boolean isXA()

  Indicates whether or not the connection is an XA connection.

  Returns:
    true if the connection is an XA connection, false otherwise.

### isFT

    public boolean isFT()

  Indicates whether or not the connection is an FT connection, that is the connection has alternative URLs.

  Returns:
    true if the connection is an FT connection, false otherwise.

### isAdmin

    public boolean isAdmin()

  Indicates whether or not the connection is a connection from an administration client, either tibjmsadmin or a client using this administration api.

  Returns:
    true if the connection is an admin connection, false otherwise.

### getSSLType

    public byte getSSLType()

  Get the type of SSL connection used, if any.

  Returns:
    the SSL type. Either `SSL_TYPE_SSL`, `SSL_TYPE_TCP` or `SSL_TYPE_NONE`.

### isStarted

    public boolean isStarted()

  Indicates whether or not the connection as been started by the client.

  Returns:
    true if the connection has been started, false otherwise.

### toString

    public java.lang.String toString()

  Generate a string representation of this ConnectionInfo.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this ConnectionInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved